Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0051023
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo Localizations] Localization Italymajoralways2022-11-28 16:532023-01-23 11:21
ReporterucarrionView Statuspublic 
Assigned Topsanjuan 
PriorityhighResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Regression introduced in release
Summary

0051023: Italian returns fiscalized via RT Printer must be printed once instead of twice

DescriptionItalian returns fiscalized via RT Printer must be printed once instead of twice.
Steps To Reproduce-Login an Italian terminal connected to the RTPrinter.
-Do a sale and pay for it.
-Do the verified return of the previous sale.
-Check the return is printed twice.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0144577)
ucarrion (developer)
2022-12-13 11:14

I checked the configuration workaround by setting the 'Print Return order once instead twice in Web Pos' preference to 'Y' as discussed with Patricia and Álvaro but it is not working as we expect. In fact, what we are printing is not the order in OB terms but the invoice.

Based on the approach above, being able to control this with a preference would be good.
(0144586)
psanjuan (manager)
2022-12-13 12:36

This issue is not a bug/defect as it is implemented as defined.

Issue changed to "design defect" in order to change the logic to take advantage of a preference, if this request is finally approved as currently this is being clarified with the customer (Norauto)
(0145266)
ucarrion (developer)
2023-01-11 16:28

Patricia, what is the next due date for this?
(0145495)
psanjuan (manager)
2023-01-17 13:16

We can not change this behavior to print now two and then only once, therefore we should somehow configure this behavior with a preference. To be defined.
(0145516)
psanjuan (manager)
2023-01-17 16:53

As discussed, let us understand why the customer is requesting now this change.
(0145538)
ucarrion (developer)
2023-01-18 10:05

Last feedback provided by Giorgia Li Pira (PM Norauto Italy):

There is no scenario in which a return invoice (ticket de retour) is given to the customer. There are two kinds of return scenarios:

--The reimbursment is done in cash, so the money is refunded instantaneously to the customer.

--The customer is taking another article so no reimbursment is done, but a new sale is generated.

As far as she let me know, there is no obligation to issue the returns ticket.

On the other hand, as we mentioned in our last call, I propose you to make it configurable as it is for the order documents so with a preference we are able to set it as we want. It would be easier from an standard product perspective, in my opinion.
(0145737)
psanjuan (manager)
2023-01-23 11:21

Proposed solution:
- A new preference is going to be created named "Print Return invoice once instead twice in Web Pos" do not enabled by default, as return invoice will be printed twice by default. Current behavior.
- If this preference is enabled "value = Yes", the corresponding "simplified return invoice" or "return invoice" will only be printed once.

This new feature needs also to be supported by the RT-Printer integration, therefore if that preference is enabled simplified verified or blind return sales "Commercial Refund/Return" Fiscal document (Documento Commercial emesso fer RESO MERCE) will only be printed once.

- Issue History
Date Modified Username Field Change
2022-11-28 16:53 ucarrion New Issue
2022-11-28 16:53 ucarrion Assigned To => psanjuan
2022-11-28 16:56 javietxe Issue Monitored: javietxe
2022-12-13 11:14 ucarrion Note Added: 0144577
2022-12-13 12:36 psanjuan Note Added: 0144586
2022-12-13 12:36 psanjuan Type defect => design defect
2022-12-13 18:10 aferraz Assigned To psanjuan => ucarrion
2022-12-13 18:11 aferraz Status new => feedback
2023-01-11 16:28 ucarrion Note Added: 0145266
2023-01-11 16:29 ucarrion Assigned To ucarrion => psanjuan
2023-01-11 16:29 ucarrion Status feedback => new
2023-01-17 13:16 psanjuan Note Added: 0145495
2023-01-17 16:53 psanjuan Note Added: 0145516
2023-01-17 16:53 psanjuan Status new => feedback
2023-01-18 10:05 ucarrion Note Added: 0145538
2023-01-18 10:05 ucarrion Status feedback => new
2023-01-23 11:21 psanjuan Note Added: 0145737


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker